@charset "UTF-8";

/* 各種margin, paddingの打ち消し */
/* 子テーマの想定する構造 "main->.main-panel" */
/* WordPressが作る構造 "content->.content-in->main->article->article-header, entry-content, article-footer" */
/*
    article-headerとarticle-footerは固定ページを作る際の設定で非表示にできるがmarginとpaddingは残るので打ち消す必要あり
    article-headerはページタイトルの見出し, アイキャッチ, 投稿日と更新日の表示からなる
    article-footerは投稿者名の表示からなる
    entry-content以下にブロックエディタで作った中身が入る
    ブロックエディタでは全体をmain-panelで囲むこと
*/

/* contentからmain, mainからmain-panelまでのpadding, marginを打ち消す */
#content,
#content-in,
#main,
.entry-content,
.article {
    display: block !important;
    margin: 0 !important;
    padding: 0 !important;
    max-width: 100% !important;
    width: 100% !important;
}

/* 固定ページのheaderとfooterを非表示にする */
.article-header,
.article-footer,
.date-tags,
.author-info {
    display: none !important;
}

/* main */
main {
    border: none !important;
    background: transparent !important;
    flex: 1;
    min-height: max(0px, calc(100lvh - var(--hero-height) - var(--footer-peep-height)));
}

.main-panel {
    width: 100%;
    max-width: 900px;
    margin-inline: auto;
    padding: 70px 45px;
    box-sizing: border-box;
}

@media screen and (max-width: 600px) {
    .main-panel {
        padding: 56px 26px;
    }
}
